تنظیمات اطلاعرسانی
GET https://app.conecto.ir/api/notification-handlers/
curl --request GET \
--url 'https://app.conecto.ir/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.conecto.ir/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج را از آن دریافت کنید. بهطور پیشفرض 1 است. |
| results_per_page | اختیاری عدد صحیح | چه تعداد نتایج در هر صفحه میخواهید. مقادیر مجاز عبارتند از: 10 , 25 , 50 , 100 , 250 , 500 , 1000. بهطور پیشفرض 25 است. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-13 15:01:12",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://app.conecto.ir/api/notification-handlers?page=1",
"last": "https://app.conecto.ir/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://app.conecto.ir/api/notification-handlers?page=1"
}
}
GET https://app.conecto.ir/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://app.conecto.ir/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.conecto.ir/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-13 15:01:12",
}
}
POST https://app.conecto.ir/api/notification-handlers
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | الزامی رشته | - |
| type | الزامی رشته | مقادیر مجاز: email , webhook , slack , microsoft_teams , google_chat , internal_notification |
| اختیاری رشته | موجود در صورت: type = email ایمیل | |
| webhook | اختیاری رشته | موجود در صورت: type = webhook آدرس URL وبهوک |
| slack | اختیاری رشته | موجود در صورت: type = slack لینک وبهوک اسلک |
| microsoft_teams | اختیاری رشته | موجود در صورت: type = microsoft_teams لینک وبهوک مایکروسافت تیمز |
| google_chat | اختیاری رشته | موجود در صورت: type = google_chat لینک وبهوک گوگل چت |
curl --request POST \
--url 'https://app.conecto.ir/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://app.conecto.ir/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://app.conecto.ir/api/notification-handlers/{notification_handler_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| name | اختیاری رشته | - |
| type | اختیاری رشته | مقادیر مجاز: email , webhook , slack , microsoft_teams , google_chat , internal_notification |
| اختیاری رشته | موجود در صورت: type = email ایمیل | |
| webhook | اختیاری رشته | موجود در صورت: type = webhook آدرس URL وبهوک |
| slack | اختیاری رشته | موجود در صورت: type = slack لینک وبهوک اسلک |
| microsoft_teams | اختیاری رشته | موجود در صورت: type = microsoft_teams لینک وبهوک مایکروسافت تیمز |
| google_chat | اختیاری رشته | موجود در صورت: type = google_chat لینک وبهوک گوگل چت |
| is_enabled | اختیاری بولی | - |
curl --request POST \
--url 'https://app.conecto.ir/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://app.conecto.ir/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://app.conecto.ir/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://app.conecto.ir/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.conecto.ir/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \